Skip to main content
PATCH
Update the alias of an account details
Update or change the alias for a given account for a given client. Only dedicated accounts can be patched, trying to patch a pooled account will return an error.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

Path Parameters

account_details_id
string
required

Unique ID of account details

Query Parameters

client_id
string
required

ID of the client that owns the account

Minimum string length: 1

Body

application/json

Payload to patch the referred account details

alias
string
required

New alias for the account details

Response

Account details updated

account_id
string<uuid>
required

Unique ID of the account these details belong to. Can be null for pooled accounts.

Required string length: 36
account_details_id
string<uuid>
required

Unique ID of the account details

Required string length: 36
account_details_type
enum<string>
required

Type of account details

Available options:
dedicated,
pooled
country
string | null
required

Country of the account details (ISO Code 2)

Required string length: 2
Pattern: [A-Z]{2}
Example:

"GB"

currency
string | null
required

Currency of the account details

Required string length: 3
Pattern: [A-Z]{3}
Example:

"GBP"

status
enum<string>
required

Status of the account details

Available options:
pending,
confirmed,
failed
domestic
object | null
required

Domestic information of the account

international
object | null
required

International information of the account

alias
string | null

User-friendly alias for the account details. Only present (and mandatory) for dedicated accounts.

Required string length: 1 - 50
financial_institution_name
string | null

Name of the underlying financial institution

Required string length: 1 - 255
financial_institution_address
string | null

Address of the underlying financial institution

Required string length: 1 - 4000
account_holder_name
string | null

Name of the holder of the account details

Required string length: 1 - 1500
account_holder_address
string | null

Address of the holder of the account details

Maximum string length: 4000
primary
boolean

Primary (default) account. Only present (and mandatory) for dedicated accounts.

created
string | null

Datetime of creation. Only on dedicated account details.

modified
string | null

Datetime of last modification. Only on dedicated account details.